/****************************************************************************
 *
 * (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
 *
 * No part of this file may be duplicated, revised, translated, localized
 * or modified in any manner or compiled, linked or uploaded or downloaded
 * to or from any computer system without the prior written permission of
 * Novell, Inc.
 *
 ****************************************************************************/

#ifndef	_NWDSPART_HEADER_
#define	_NWDSPART_HEADER_

#ifndef __NWDSTYPE_H
#include <nwdstype.h>
#endif

#ifndef _NWDSBUFT_HEADER_
#include <nwdsbuft.h>
#endif

#ifndef	_NWDSDC_HEADER_
#include <nwdsdc.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

NWDSCCODE NWAPI NWDSAddPartition
(
	NWDSContextHandle	context,
	char	NWPTR server,
	char	NWPTR partitionRoot,
	int32	NWPTR iterationHandle,
	uint8	more,
	Buf_T	NWPTR objectInfo
);

NWDSCCODE NWAPI NWDSAddReplica
(
	NWDSContextHandle	context,
	char		NWPTR server,
	char		NWPTR partitionRoot,
	uint32	replicaType
);

NWDSCCODE NWAPI NWDSChangeReplicaType
(
	NWDSContextHandle	context,
	char	NWPTR replicaName,
	char	NWPTR server,
	uint32	newReplicaType
);

NWDSCCODE NWAPI NWDSJoinPartitions
(
	NWDSContextHandle	context,
	char	NWPTR subordinatePartition,
	uint32	flags
);

NWDSCCODE NWAPI NWDSListPartitions
(
	NWDSContextHandle	context,
	int32		NWPTR iterationHandle,
	char		NWPTR server,
	Buf_T		NWPTR partitions
);

NWDSCCODE NWAPI NWDSRemovePartition
(
	NWDSContextHandle	context,
	char	NWPTR partitionRoot
);

NWDSCCODE NWAPI NWDSRemoveReplica
(
	NWDSContextHandle	context,
	char		NWPTR server,
	char		NWPTR partitionRoot
);

NWDSCCODE NWAPI NWDSSplitPartition
(
	NWDSContextHandle	context,
	char	NWPTR subordinatePartition,
	uint32	flags
);

#ifdef __cplusplus
}
#endif

#endif  /* _NWDSPART_HEADER_ */
